netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
hscan_t Struct Reference

`#include <hash.h>`

## Data Fields
hash_t * | hash_table
hash_val_t | hash_chain
hnode_t * | hash_next

## Detailed Description

Hash scanner structure, used for traversals of the data structure. Notes:

1. Pointer to the hash table that is being traversed.
2. Reference to the current chain in the table being traversed (the chain that contains the next node that shall be retrieved).
3. Pointer to the node that will be retrieved by the subsequent call to hash_scan_next().

## Field Documentation

## ◆ hash_chain

hash_val_t hscan_t::hash_chain

## ◆ hash_next

hnode_t* hscan_t::hash_next

## ◆ hash_table

hash_t* hscan_t::hash_table

The documentation for this struct was generated from the following file:

- include/atalk/hash.h